## strawberry 1.0.5

=== CMakeLists.txt ===
project(strawberry)

cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0054 NEW)

include(CheckCXXCompilerFlag)
include(CheckCXXSourceRuns)
include(CheckIncludeFiles)
include(FindPkgConfig)
include(cmake/Version.cmake)
include(cmake/Summary.cmake)
include(cmake/OptionalSource.cmake)
include(cmake/ParseArguments.cmake)

if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  set(LINUX ON)
endif()
if(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  set(FREEBSD ON)
endif()
if(${CMAKE_SYSTEM_NAME} STREQUAL "OpenBSD")
  set(OPENBSD ON)
endif()

if(LINUX)
  include(cmake/Rpm.cmake)
  include(cmake/Deb.cmake)
endif()
if(APPLE)
  include(cmake/Dmg.cmake)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(MSVC)
  list(APPEND COMPILE_OPTIONS /std:c++17 /MP)
else()
  list(APPEND COMPILE_OPTIONS
    $<$<COMPILE_LANGUAGE:C>:-std=c99>
    $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>
    -Wall
    -Wextra
    -Wpedantic
    -Wunused
    -Wshadow
    -Wundef
    -Wuninitialized
    -Wredundant-decls
    -Wcast-align
    -Winit-self
    -Wmissing-include-dirs
    -Wmissing-declarations
    -Wstrict-overflow=2
    -Wunused-parameter
    -Wformat=2
    -Wdisabled-optimization
    $<$<COMPILE_LANGUAGE:CXX>:-Woverloaded-virtual>
    $<$<COMPILE_LANGUAGE:CXX>:-Wold-style-cast>
  )
endif()

option(BUILD_WERROR "Build with -Werror" OFF)
if(BUILD_WERROR)
  list(APPEND COMPILE_OPTIONS -Werror)
endif()

add_compile_options(${COMPILE_OPTIONS})

if(${CMAKE_BUILD_TYPE} MATCHES "Release")
  add_definitions(-DNDEBUG)
  add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if(APPLE)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
  set(CMAKE_INSTALL_RPATH "@loader_path/../Frameworks")
endif()

find_program(CCACHE_EXECUTABLE NAMES ccache)
if(CCACHE_EXECUTABLE)
  message(STATUS "ccache found: will be used for compilation and linkage")
  SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${CCACHE_EXECUTABLE})
  SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ${CCACHE_EXECUTABLE})
endif()

find_package(PkgConfig REQUIRED)
find_package(Boost REQUIRED)
find_package(Threads)
find_package(Backtrace)
if(Backtrace_FOUND)
  set(HAVE_BACKTRACE ON)
endif()
find_package(Iconv)
find_package(GnuTLS REQUIRED)
find_package(Protobuf REQUIRED)
if(NOT Protobuf_PROTOC_EXECUTABLE)
  message(FATAL_ERROR "Missing protobuf compiler.")
endif()
if(LINUX)
  find_package(ALSA REQUIRED)
  pkg_check_modules(DBUS REQUIRED dbus-1)
else()
  find_package(ALSA)
  pkg_check_modules(DBUS dbus-1)
endif()
if(UNIX AND NOT APPLE)
  find_package(X11)
  pkg_check_modules(XCB xcb)
endif()
if(X11_FOUND)
  set(HAVE_X11 ON)
endif()
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
if(UNIX)
  pkg_check_modules(GIO_UNIX gio-unix-2.0)
endif()
pkg_check_modules(LIBCDIO libcdio)
pkg_check_modules(GSTREAMER gstreamer-1.0)
pkg_check_modules(GSTREAMER_BASE gstreamer-base-1.0)
pkg_check_modules(GSTREAMER_AUDIO gstreamer-audio-1.0)
pkg_check_modules(GSTREAMER_APP gstreamer-app-1.0)
pkg_check_modules(GSTREAMER_TAG gstreamer-tag-1.0)
pkg_check_modules(GSTREAMER_PBUTILS gstreamer-pbutils-1.0)
pkg_check_modules(LIBVLC libvlc)
pkg_check_modules(SQLITE REQUIRED sqlite3>=3.9)
pkg_check_modules(LIBPULSE libpulse)
pkg_check_modules(CHROMAPRINT libchromaprint>=1.4)
pkg_check_modules(LIBGPOD libgpod-1.0>=0.7.92)
pkg_check_modules(LIBMTP libmtp>=1.0)
pkg_check_modules(GDK_PIXBUF gdk-pixbuf-2.0)
find_package(Gettext)
find_package(FFTW3)
find_package(GTest)
find_library(GMOCK_LIBRARY gmock)

option(QT_VERSION_MAJOR "Qt version to use (5 or 6)")
option(BUILD_WITH_QT5 "Build with Qt 5" OFF)
option(BUILD_WITH_QT6 "Build with Qt 6" OFF)

if(WITH_QT6)
  set(BUILD_WITH_QT6 ON)
endif()
if(QT_MAJOR_VERSION)
  set(QT_VERSION_MAJOR ${QT_MAJOR_VERSION})
endif()

if(QT_VERSION_MAJOR)
  set(QT_DEFAULT_MAJOR_VERSION ${QT_VERSION_MAJOR})
endif()
set(QT_COMPONENTS Core Concurrent Gui Widgets Network Sql)
if(DBUS_FOUND AND NOT WIN32)
  list(APPEND QT_COMPONENTS DBus)
endif()
set(QT_OPTIONAL_COMPONENTS Test)
set(QT_MIN_VERSION 5.9)

if(BUILD_WITH_QT6 OR QT_VERSION_MAJOR EQUAL 6)
  set(QT_VERSION_MAJOR 6 CACHE STRING "" FORCE)
  set(BUILD_WITH_QT6 ON CACHE BOOL "" FORCE)
elseif(BUILD_WITH_QT5 OR QT_VERSION_MAJOR EQUAL 5)
  set(QT_VERSION_MAJOR 5 CACHE STRING "" FORCE)
  set(BUILD_WITH_QT5 ON CACHE BOOL "" FORCE)
else()
  # Automatically detect Qt version.
  find_package(QT NAMES Qt6 Qt5 COMPONENTS ${QT_COMPONENTS} REQUIRED)
  if(QT_FOUND AND QT_VERSION_MAJOR EQUAL 6)
    set(BUILD_WITH_QT6 ON CACHE BOOL "" FORCE)
    set(QT_VERSION_MAJOR 6 CACHE STRING "" FORCE)
  elseif(QT_FOUND AND QT_VERSION_MAJOR EQUAL 5)
    set(BUILD_WITH_QT5 ON CACHE BOOL "" FORCE)
    set(QT_VERSION_MAJOR 5 CACHE STRING "" FORCE)
  else()
    message(FATAL_ERROR "Missing Qt.")
  endif()
endif()

if(QT_VERSION_MAJOR)
  set(QT_DEFAULT_MAJOR_VERSION ${QT_VERSION_MAJOR})
endif()

if(X11_FOUND AND BUILD_WITH_QT5)
  list(APPEND QT_OPTIONAL_COMPONENTS X11Extras)
endif()

find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} REQUIRED COMPONENTS ${QT_COMPONENTS} OPTIONAL_COMPONENTS ${QT_OPTIONAL_COMPONENTS})

set(QtCore_LIBRARIES Qt${QT_VERSION_MAJOR}::Core)
set(QtConcurrent_LIBRARIES Qt${QT_VERSION_MAJOR}::Concurrent)
set(QtGui_LIBRARIES Qt${QT_VERSION_MAJOR}::Gui)
set(QtWidgets_LIBRARIES Qt${QT_VERSION_MAJOR}::Widgets)
set(QtNetwork_LIBRARIES Qt${QT_VERSION_MAJOR}::Network)
set(QtSql_LIBRARIES Qt${QT_VERSION_MAJOR}::Sql)
set(QT_LIBRARIES Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Concurrent Qt${QT_VERSION_MAJOR}::Gui Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Network Qt${QT_VERSION_MAJOR}::Sql)
if(Qt${QT_VERSION_MAJOR}DBus_FOUND)
  set(QtDBus_LIBRARIES Qt${QT_VERSION_MAJOR}::DBus)
  list(APPEND QT_LIBRARIES Qt${QT_VERSION_MAJOR}::DBus)
  get_target_property(QT_DBUSXML2CPP_EXECUTABLE Qt${QT_VERSION_MAJOR}::qdbusxml2cpp LOCATION)
endif()
if(BUILD_WITH_QT5 AND Qt5X11Extras_FOUND)
  set(HAVE_X11EXTRAS ON)
  set(QtX11Extras_LIBRARIES Qt5::X11Extras)
  list(APPEND QT_LIBRARIES Qt5::X11Extras)
endif()
if(Qt${QT_VERSION_MAJOR}Test_FOUND)
  set(QtTest_LIBRARIES Qt${QT_VERSION_MAJOR}::Test)
endif()

find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools CONFIG)
if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  set(QT_LCONVERT_EXECUTABLE Qt${QT_VERSION_MAJOR}::lconvert)
endif()

if(BUILD_WITH_QT5 AND Qt5Core_VERSION VERSION_LESS 5.15.0)
  macro(qt_add_resources)
    qt5_add_resources(${ARGN})
  endmacro()
  macro(qt_wrap_cpp)
    qt5_wrap_cpp(${ARGN})
  endmacro()
  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
  macro(qt_add_dbus_adaptor)
    qt5_add_dbus_adaptor(${ARGN})
  endmacro()
  macro(qt_add_dbus_interface)
    qt5_add_dbus_interface(${ARGN})
  endmacro()
endif()

if(X11_FOUND)
  find_path(KEYSYMDEF_H NAMES "keysymdef.h" PATHS "${X11_INCLUDE_DIR}" PATH_SUFFIXES "X11")
  find_path(XF86KEYSYM_H NAMES "XF86keysym.h" PATHS "${XCB_INCLUDEDIR}" PATH_SUFFIXES "X11")
  if(KEYSYMDEF_H)
    set(HAVE_KEYSYMDEF_H ON)
  else()
    message(WARNING, "Missing X11/keysymdef.h")
  endif()
  if(XF86KEYSYM_H)
    set(HAVE_XF86KEYSYM_H ON)
  else()
    message(WARNING, "Missing X11/XF86keysym.h")
  endif()

  find_path(QPA_QPLATFORMNATIVEINTERFACE_H qpa/qplatformnativeinterface.h PATHS ${Qt${QT_VERSION_MAJOR}Gui_PRIVATE_INCLUDE_DIRS})
  if(QPA_QPLATFORMNATIVEINTERFACE_H)
    set(HAVE_QPA_QPLATFORMNATIVEINTERFACE_H ON)
    message(STATUS "Have qpa/qplatformnativeinterface.h header.")
  else()
    message(STATUS "Missing qpa/qplatformnativeinterface.h header.")
  endif()
endif(X11_FOUND)

option(USE_TAGLIB "Build with TagLib" OFF)
option(USE_TAGPARSER "Build with TagParser" OFF)

if(NOT USE_TAGLIB AND NOT USE_TAGPARSER)
  set(USE_TAGLIB ON)
endif()

# TAGLIB
if(USE_TAGLIB)
  pkg_check_modules(TAGLIB REQUIRED taglib>=1.11.1)
  if(TAGLIB_FOUND)
    find_path(HAVE_TAGLIB_DSFFILE_H taglib/dsffile.h)
    find_path(HAVE_TAGLIB_DSDIFFFILE_H taglib/dsdifffile.h)
    if(HAVE_TAGLIB_DSFFILE_H)
      set(HAVE_TAGLIB_DSFFILE ON)
    endif(HAVE_TAGLIB_DSFFILE_H)
    if(HAVE_TAGLIB_DSDIFFFILE_H)
      set(HAVE_TAGLIB_DSDIFFFILE ON)
    endif(HAVE_TAGLIB_DSDIFFFILE_H)
  endif()
endif()

# TAGPARSER
if(USE_TAGPARSER)
  pkg_check_modules(TAGPARSER REQUIRED tagparser)
endif()

if(NOT TAGLIB_FOUND AND NOT TAGPARSER_FOUND)
  message(FATAL_ERROR "You need either TagLib or TagParser!")
endif()

# SingleApplication
add_subdirectory(3rdparty/singleapplication)
set(SINGLEAPPLICATION_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/singleapplication)
set(SINGLEAPPLICATION_LIBRARIES singleapplication)
set(SINGLECOREAPPLICATION_LIBRARIES singlecoreapplication)

if(APPLE)
  add_subdirectory(3rdparty/SPMediaKeyTap)
  set(SPMEDIAKEYTAP_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SPMediaKeyTap)
  set(SPMEDIAKEYTAP_LIBRARIES SPMediaKeyTap)
  add_subdirectory(3rdparty/macdeployqt)
  add_subdirectory(ext/macdeploycheck)
endif()

if(WIN32)
  if(BUILD_WITH_QT6)
    pkg_check_modules(QTSPARKLE qtsparkle-qt6)
  else()
    pkg_check_modules(QTSPARKLE qtsparkle-qt5)
  endif()
  if(QTSPARKLE_FOUND)
    set(HAVE_QTSPARKLE ON)
  endif()
endif()

if(WIN32 AND MSVC)
  add_subdirectory(3rdparty/getopt)
  set(GETOPT_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/getopt)
  set(GETOPT_LIBRARIES getopt)
endif()

if(WIN32 AND NOT MSVC)
  # RC compiler
  string(REPLACE "gcc" "windres" CMAKE_RC_COMPILER_INIT ${CMAKE_C_COMPILER})
  enable_language(RC)
  SET(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> -O coff -o <OBJECT> <SOURCE> -I ${CMAKE_SOURCE_DIR}/dist/windows")
endif()

if(WIN32)
  option(ENABLE_WIN32_CONSOLE "Show the windows console even outside Debug mode" OFF)
endif()

optional_component(ALSA ON "ALSA integration"
  DEPENDS "alsa" ALSA_FOUND
)

optional_component(LIBPULSE ON "PulseAudio integration"
  DEPENDS "libpulse" LIBPULSE_FOUND
)

optional_component(DBUS ON "D-Bus support"
  DEPENDS "D-Bus" DBUS_FOUND
)

optional_component(GSTREAMER ON "Engine: GStreamer backend"
  DEPENDS "gstreamer-1.0" GSTREAMER_FOUND
  DEPENDS "gstreamer-base-1.0" GSTREAMER_BASE_FOUND
  DEPENDS "gstreamer-app-1.0" GSTREAMER_APP_FOUND
  DEPENDS "gstreamer-audio-1.0" GSTREAMER_AUDIO_FOUND
  DEPENDS "gstreamer-tag-1.0" GSTREAMER_TAG_FOUND
  DEPENDS "gstreamer-pbutils-1.0" GSTREAMER_PBUTILS_FOUND
)

optional_component(VLC ON "Engine: VLC backend"
  DEPENDS "libvlc" LIBVLC_FOUND
)

optional_component(SONGFINGERPRINTING ON "Song fingerprinting and tracking"
  DEPENDS "chromaprint" CHROMAPRINT_FOUND
  DEPENDS "gstreamer" GSTREAMER_FOUND
)

optional_component(MUSICBRAINZ ON "MusicBrainz integration"
  DEPENDS "chromaprint" CHROMAPRINT_FOUND
  DEPENDS "gstreamer" GSTREAMER_FOUND
)

if(X11_FOUND OR HAVE_DBUS OR APPLE OR WIN32)
  set(HAVE_GLOBALSHORTCUTS_SUPPORT ON)
endif()

optional_component(GLOBALSHORTCUTS ON "Global shortcuts"
  DEPENDS "D-Bus, X11, Windows or macOS" HAVE_GLOBALSHORTCUTS_SUPPORT
)

if(BUILD_WITH_QT6 AND (Qt6Core_VERSION VERSION_EQUAL 6.2.0 OR Qt6Core_VERSION VERSION_GREATER 6.2.0))
  optional_component(X11_GLOBALSHORTCUTS ON "X11 global shortcuts" DEPENDS "X11" X11_FOUND)
else()
  if(HAVE_X11EXTRAS OR HAVE_QPA_QPLATFORMNATIVEINTERFACE_H)
    set(HAVE_X11EXTRAS_OR_QPA_QPLATFORMNATIVEINTERFACE_H ON)
  endif()
  optional_component(X11_GLOBALSHORTCUTS ON "X11 global shortcuts"
    DEPENDS "X11" X11_FOUND
    DEPENDS "Qt >= 6.2, X11Extras or qpa/qplatformnativeinterface.h header" HAVE_X11EXTRAS_OR_QPA_QPLATFORMNATIVEINTERFACE_H
  )
endif()

optional_component(AUDIOCD ON "Devices: Audio CD support"
  DEPENDS "libcdio" LIBCDIO_FOUND
  DEPENDS "gstreamer" GSTREAMER_FOUND
)

optional_component(UDISKS2 ON "Devices: UDisks2 backend"
  DEPENDS "D-Bus support" DBUS_FOUND
)

optional_component(GIO ON "Devices: GIO device backend"
  DEPENDS "libgio" GIO_FOUND
  DEPENDS "Unix or Windows" "NOT APPLE"
)

optional_component(GIO_UNIX ON "Devices: GIO device backend (Unix support)"
  DEPENDS "libgio-unix" GIO_UNIX_FOUND
  DEPENDS "Unix" "UNIX"
)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

if(HAVE_TRANSLATIONS)
  include(../cmake/Translations.cmake)
endif()

set(SOURCES
  core/mainwindow.cpp
  core/application.cpp
  core/appearance.cpp
  core/player.cpp
  core/commandlineoptions.cpp
  core/database.cpp
  core/sqlquery.cpp
  core/sqlrow.cpp
  core/metatypes.cpp
  core/deletefiles.cpp
  core/filesystemmusicstorage.cpp
  core/filesystemwatcherinterface.cpp
  core/mergedproxymodel.cpp
  core/multisortfilterproxy.cpp
  core/musicstorage.cpp
  core/networkaccessmanager.cpp
  core/threadsafenetworkdiskcache.cpp
  core/networktimeouts.cpp
  core/networkproxyfactory.cpp
  core/qtfslistener.cpp
  core/settingsprovider.cpp
  core/signalchecker.cpp
  core/song.cpp
  core/songloader.cpp
  core/stylehelper.cpp
  core/stylesheetloader.cpp
  core/tagreaderclient.cpp
  core/taskmanager.cpp
  core/thread.cpp
  core/urlhandler.cpp
  core/utilities.cpp
  core/imageutils.cpp
  core/iconloader.cpp
  core/standarditemiconloader.cpp
  core/scopedtransaction.cpp
  core/translations.cpp
  core/systemtrayicon.cpp

  engine/enginetype.cpp
  engine/enginebase.cpp
  engine/devicefinders.cpp
  engine/devicefinder.cpp

  analyzer/fht.cpp
  analyzer/analyzerbase.cpp
  analyzer/analyzercontainer.cpp
  analyzer/blockanalyzer.cpp
  analyzer/boomanalyzer.cpp
  analyzer/rainbowanalyzer.cpp

  equalizer/equalizer.cpp
  equalizer/equalizerslider.cpp

  context/contextview.cpp
  context/contextalbum.cpp

  collection/collection.cpp
  collection/collectionmodel.cpp
  collection/collectionbackend.cpp
  collection/collectionwatcher.cpp
  collection/collectionview.cpp
  collection/collectionitemdelegate.cpp
  collection/collectionviewcontainer.cpp
  collection/collectiondirectorymodel.cpp
  collection/collectionfilterwidget.cpp
  collection/collectionplaylistitem.cpp
  collection/collectionquery.cpp
  collection/savedgroupingmanager.cpp
  collection/groupbydialog.cpp
  collection/collectiontask.cpp

  playlist/playlist.cpp
  playlist/playlistbackend.cpp
  playlist/playlistcontainer.cpp
  playlist/playlistdelegates.cpp
  playlist/playlistfilter.cpp
  playlist/playlistfilterparser.cpp
  playlist/playlistheader.cpp
  playlist/playlistitem.cpp
  playlist/playlistlistcontainer.cpp
  playlist/playlistlistmodel.cpp
  playlist/playlistlistview.cpp
  playlist/playlistmanager.cpp
  playlist/playlistsaveoptionsdialog.cpp
  playlist/playlistsequence.cpp
  playlist/playlisttabbar.cpp
  playlist/playlistundocommands.cpp
  playlist/playlistview.cpp
  playlist/songloaderinserter.cpp
  playlist/songplaylistitem.cpp
  playlist/dynamicplaylistcontrols.cpp

  queue/queue.cpp
  queue/queueview.cpp

  playlistparsers/asxiniparser.cpp
  playlistparsers/asxparser.cpp
  playlistparsers/cueparser.cpp
  playlistparsers/m3uparser.cpp
  playlistparsers/parserbase.cpp
  playlistparsers/playlistparser.cpp
  playlistparsers/plsparser.cpp
  playlistparsers/wplparser.cpp
  playlistparsers/xmlparser.cpp
  playlistparsers/xspfparser.cpp

  smartplaylists/playlistgenerator.cpp
  smartplaylists/playlistgeneratorinserter.cpp
  smartplaylists/playlistquerygenerator.cpp
  smartplaylists/smartplaylistquerywizardplugin.cpp
  smartplaylists/smartplaylistsearch.cpp
  smartplaylists/smartplaylistsearchpreview.cpp
  smartplaylists/smartplaylistsearchterm.cpp
  smartplaylists/smartplaylistsearchtermwidget.cpp
  smartplaylists/smartplaylistsmodel.cpp
  smartplaylists/smartplaylistsviewcontainer.cpp
  smartplaylists/smartplaylistsview.cpp
  smartplaylists/smartplaylistwizard.cpp
  smartplaylists/smartplaylistwizardplugin.cpp

  covermanager/albumcovermanager.cpp
  covermanager/albumcovermanagerlist.cpp
  covermanager/albumcoverloader.cpp
  covermanager/albumcoverfetcher.cpp
  covermanager/albumcoverfetchersearch.cpp
  covermanager/albumcoversearcher.cpp
  covermanager/albumcoverexport.cpp
  covermanager/albumcoverexporter.cpp
  covermanager/albumcoverchoicecontroller.cpp
  covermanager/coverprovider.cpp
  covermanager/coverproviders.cpp
  covermanager/coversearchstatistics.cpp
  covermanager/coversearchstatisticsdialog.cpp
  covermanager/coverexportrunnable.cpp
  covermanager/currentalbumcoverloader.cpp
  covermanager/coverfromurldialog.cpp
  covermanager/jsoncoverprovider.cpp
  covermanager/lastfmcoverprovider.cpp
  covermanager/musicbrainzcoverprovider.cpp
  covermanager/discogscoverprovider.cpp
  covermanager/deezercoverprovider.cpp
  covermanager/qobuzcoverprovider.cpp
  covermanager/musixmatchcoverprovider.cpp
  covermanager/spotifycoverprovider.cpp

  lyrics/lyricsproviders.cpp
  lyrics/lyricsprovider.cpp
  lyrics/lyricsfetcher.cpp
  lyrics/lyricsfetchersearch.cpp
  lyrics/jsonlyricsprovider.cpp
  lyrics/auddlyricsprovider.cpp
  lyrics/ovhlyricsprovider.cpp
  lyrics/lololyricsprovider.cpp
  lyrics/geniuslyricsprovider.cpp
  lyrics/musixmatchlyricsprovider.cpp
  lyrics/chartlyricsprovider.cpp

  settings/settingsdialog.cpp
  settings/settingspage.cpp
  settings/behavioursettingspage.cpp
  settings/collectionsettingspage.cpp
  settings/backendsettingspage.cpp
  settings/playlistsettingspage.cpp
  settings/scrobblersettingspage.cpp
  settings/coverssettingspage.cpp
  settings/lyricssettingspage.cpp
  settings/networkproxysettingspage.cpp
  settings/appearancesettingspage.cpp
  settings/contextsettingspage.cpp
  settings/notificationssettingspage.cpp

  dialogs/about.cpp
  dialogs/console.cpp
  dialogs/errordialog.cpp
  dialogs/edittagdialog.cpp
  dialogs/trackselectiondialog.cpp
  dialogs/addstreamdialog.cpp
  dialogs/userpassdialog.cpp
  dialogs/deleteconfirmationdialog.cpp
  dialogs/lastfmimportdialog.cpp
  dialogs/snapdialog.cpp

  widgets/autoexpandingtreeview.cpp
  widgets/busyindicator.cpp
  widgets/clickablelabel.cpp
  widgets/fancytabwidget.cpp
  widgets/favoritewidget.cpp
  widgets/fileview.cpp
  widgets/fileviewlist.cpp
  widgets/forcescrollperpixel.cpp
  widgets/freespacebar.cpp
  widgets/groupediconview.cpp
  widgets/lineedit.cpp
  widgets/linetextedit.cpp
  widgets/multiloadingindicator.cpp
  widgets/playingwidget.cpp
  widgets/renametablineedit.cpp
  widgets/volumeslider.cpp
  widgets/stickyslider.cpp
  widgets/stretchheaderview.cpp
  widgets/trackslider.cpp
  widgets/tracksliderpopup.cpp
  widgets/tracksliderslider.cpp
  widgets/loginstatewidget.cpp
  widgets/ratingwidget.cpp
  widgets/resizabletextedit.cpp

  osd/osdbase.cpp
  osd/osdpretty.cpp

  internet/internetservices.cpp
  internet/internetservice.cpp
  internet/internetplaylistitem.cpp
  internet/internetsearchview.cpp
  internet/internetsearchmodel.cpp
  internet/internetsearchsortmodel.cpp
  internet/internetsearchitemdelegate.cpp
  internet/localredirectserver.cpp
  internet/internetsongsview.cpp
  internet/internettabsview.cpp
  internet/internetcollectionview.cpp
  internet/internetcollectionviewcontainer.cpp
  internet/internetsearchview.cpp

  radios/radioservices.cpp
  radios/radiobackend.cpp
  radios/radiomodel.cpp
  radios/radioview.cpp
  radios/radioviewcontainer.cpp
  radios/radioservice.cpp
  radios/radioplaylistitem.cpp
  radios/radiochannel.cpp
  radios/somafmservice.cpp
  radios/radioparadiseservice.cpp

  scrobbler/audioscrobbler.cpp
  scrobbler/scrobblerservices.cpp
  scrobbler/scrobblerservice.cpp
  scrobbler/scrobblercache.cpp
  scrobbler/scrobblercacheitem.cpp
  scrobbler/scrobblingapi20.cpp
  scrobbler/lastfmscrobbler.cpp
  scrobbler/librefmscrobbler.cpp
  scrobbler/listenbrainzscrobbler.cpp
  scrobbler/lastfmimport.cpp

  organize/organize.cpp
  organize/organizeformat.cpp
  organize/organizedialog.cpp
  organize/organizeerrordialog.cpp

)

set(HEADERS
  core/mainwindow.h
  core/application.h
  core/appearance.h
  core/player.h
  core/database.h
  core/deletefiles.h
  core/filesystemwatcherinterface.h
  core/mergedproxymodel.h
  core/multisortfilterproxy.h
  core/networkaccessmanager.h
  core/threadsafenetworkdiskcache.h
  core/networktimeouts.h
  core/qtfslistener.h
  core/songloader.h
  core/tagreaderclient.h
  core/taskmanager.h
  core/thread.h
  core/urlhandler.h
  core/standarditemiconloader.h
  core/translations.h
  core/potranslator.h
  core/mimedata.h
  core/stylesheetloader.h

  engine/enginebase.h
  engine/devicefinders.h

  analyzer/analyzerbase.h
  analyzer/analyzercontainer.h
  analyzer/blockanalyzer.h
  analyzer/boomanalyzer.h
  analyzer/rainbowanalyzer.h

  equalizer/equalizer.h
  equalizer/equalizerslider.h

  context/contextview.h
  context/contextalbum.h

  collection/collection.h
  collection/collectionmodel.h
  collection/collectionbackend.h
  collection/collectionwatcher.h
  collection/collectionview.h
  collection/collectionitemdelegate.h
  collection/collectionviewcontainer.h
  collection/collectiondirectorymodel.h
  collection/collectionfilterwidget.h
  collection/savedgroupingmanager.h
  collection/groupbydialog.h

  playlist/playlist.h
  playlist/playlistbackend.h
  playlist/playlistcontainer.h
  playlist/playlistdelegates.h
  playlist/playlistfilter.h
  playlist/playlistheader.h
  playlist/playlistlistcontainer.h
  playlist/playlistlistmodel.h
  playlist/playlistlistview.h
  playlist/playlistlistsortfiltermodel.h
  playlist/playlistmanager.h
  playlist/playlistsaveoptionsdialog.h
  playlist/playlistsequence.h
  playlist/playlisttabbar.h
  playlist/playlistview.h
  playlist/playlistitemmimedata.h
  playlist/songloaderinserter.h
  playlist/songmimedata.h
  playlist/dynamicplaylistcontrols.h

  queue/queue.h
  queue/queueview.h

  playlistparsers/asxiniparser.h
  playlistparsers/asxparser.h
  playlistparsers/cueparser.h
  playlistparsers/m3uparser.h
  playlistparsers/parserbase.h
  playlistparsers/playlistparser.h
  playlistparsers/plsparser.h
  playlistparsers/wplparser.h
  playlistparsers/xmlparser.h
  playlistparsers/xspfparser.h

  smartplaylists/playlistgenerator.h
  smartplaylists/playlistgeneratorinserter.h
  smartplaylists/playlistquerygenerator.h
  smartplaylists/playlistgeneratormimedata.h
  smartplaylists/smartplaylistquerywizardplugin.h
  smartplaylists/smartplaylistsearchpreview.h
  smartplaylists/smartplaylistsearchtermwidget.h
  smartplaylists/smartplaylistsmodel.h
  smartplaylists/smartplaylistsviewcontainer.h
  smartplaylists/smartplaylistsview.h
  smartplaylists/smartplaylistwizard.h
  smartplaylists/smartplaylistwizardplugin.h

  covermanager/albumcovermanager.h
  covermanager/albumcovermanagerlist.h
  covermanager/albumcoverloader.h
  covermanager/albumcoverfetcher.h
  covermanager/albumcoverfetchersearch.h
  covermanager/albumcoversearcher.h
  covermanager/albumcoverexport.h
  covermanager/albumcoverexporter.h
  covermanager/albumcoverchoicecontroller.h
  covermanager/coverprovider.h
  covermanager/coverproviders.h
  covermanager/coversearchstatisticsdialog.h
  covermanager/coverexportrunnable.h
  covermanager/currentalbumcoverloader.h
  covermanager/coverfromurldialog.h
  covermanager/jsoncoverprovider.h
  covermanager/lastfmcoverprovider.h
  covermanager/musicbrainzcoverprovider.h
  covermanager/discogscoverprovider.h
  covermanager/deezercoverprovider.h
  covermanager/qobuzcoverprovider.h
  covermanager/musixmatchcoverprovider.h
  covermanager/spotifycoverprovider.h

  lyrics/lyricsproviders.h
  lyrics/lyricsprovider.h
  lyrics/lyricsfetcher.h
  lyrics/lyricsfetchersearch.h
  lyrics/jsonlyricsprovider.h
  lyrics/auddlyricsprovider.h
  lyrics/ovhlyricsprovider.h
  lyrics/lololyricsprovider.h
  lyrics/geniuslyricsprovider.h
  lyrics/musixmatchlyricsprovider.h
  lyrics/chartlyricsprovider.h

  settings/settingsdialog.h
  settings/settingspage.h
  settings/behavioursettingspage.h
  settings/collectionsettingspage.h
  settings/backendsettingspage.h
  settings/playlistsettingspage.h
  settings/scrobblersettingspage.h
  settings/coverssettingspage.h
  settings/lyricssettingspage.h
  settings/networkproxysettingspage.h
  settings/appearancesettingspage.h
  settings/contextsettingspage.h
  settings/notificationssettingspage.h

  dialogs/about.h
  dialogs/errordialog.h
  dialogs/console.h
  dialogs/edittagdialog.h
  dialogs/trackselectiondialog.h
  dialogs/addstreamdialog.h

=== debian/changelog ===
strawberry (1.0.5-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.5 release:
    - Bugfixes:
      - Fixed smart playlist filetype search.
      - Fixed Radio Paradise URLs to use HTTPS instead of HTTP.
      - Fixed horizontal scrolling not affecting currently playing track (#952).
      - Fixed keep running in the background when window is closed with
         Wayland (#964).
      - Fixed percent-encoding of URLs when loading and saving XSPF
        playlists (#821).
      - Fixed fancy tabbar context menu showing on right clicks outside of
        tabbar when a song is playing.
      - Fixed possible duplicating songs in the database when moving songs to
        the collection using the organize feature.
    - Enhancements
      - Show more details in error dialog on GStreamer errors (#958).
      - Allow setting blur amount of playlist background image up to
        100px (#939).
      - Include 128x128 icon sizes (#954).
      - Show right click copy context menu in context view on top text and
        lyrics (#965).
      - Improve fading between album covers in context view.
      - Added option for overwriting database playcounts in collection
        settings (#962).
      - Added option for disabling bar on currently playing track (#972).
      - (Debian) Added Qt 6 support to debian files and build with Qt 6 for
        Debian Bookworm, Ubuntu Jammy and newer.

  * debian/control:
    - drop libplist-dev and libglib2.0-dev as build-deps, since they get pulled
      in by libgpod-dev or its dependencies.
    - update long description.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Jun 2022 11:41:59 -0700

strawberry (1.0.4-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.4 release:
    - Bugfixes:
      - Fixed use-after-free memory in ALSA PCM device finder.
      - Translate global shortcuts.
    - Enhancements
      - Added save all playlists action.
    - Other:
      - Removed use of custom font in context.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Apr 2022 14:22:42 -0700

strawberry (1.0.3-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.3 release:
    - Bugfixes:
      - Remove slash and backslash from filenames when saving album covers using
        album directory cover filenames.
      - Remove playlist file-extensions from accepted audio file extensions.
      - Fixed Qobuz requests only receiving the first 50 albums.
    - New features:
      - Added support for bs2b (Improved headphone listening of stereo audio
        records using Bauer stereophonic-to-binaural DSP) (#249).

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Mar 2022 12:21:35 -0700

strawberry (1.0.2-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.2 release: 
    - Fixed showing menu when clicking icon for collection and internet search
      tool buttons
    - Fixed ignoring devices with system mounts as defined by GIO (#410).
    - Fixed updating database when deleting songs from filesystem devices.
    - Fixed unregistered metatype when listing songs from MTP devices with Qt 6.
    - Fixed using entered password when testing Subsonic settings before
      pressing save (#879).
    - Fixed downloading Subsonic album covers.
    - Fixed subsonic album covers downloaded several times for each album when
      MD5 authentication was enabled (#885).
    - Fixed volume going to 100% when pressing volume down with MRPIS2 and
      global shortcuts (#884).
    - Fixed incorrect rounding when setting volume through MPRIS2 (#894).
    - Fixed delete from disk not showing up in the menu when one or more CUE
      songs were selected.
    - Fixed possible crashes when switching songs when fading is enabled (#890).
    - Fixed X11 global shortcuts not working unless window was in focus with Qt
      6.2 and higher (#893).
    - Fixed scrobbler re-sending scrobbles to fast on error (#898).
   - Enhancements
    - Log Qt version on startup.
    - Added button for deleting existing Subsonic songs (#883).
    - Make collection watcher ignore files with "qt_temp" filename and tmp
      extension.
    - Require Qt 5.9 or higher.
    - Added scrollbars to edit tag dialog (#888).
    - Added advanced settings for configuring collection watcher.
    - Disable open audio CD menu when compiled without audio CD support.
    - Replaced use of deprecated QMouseEvent constructor as of Qt 6.4.
    - Replaced use of deprecated QCryptographicHash::addData overload as of Qt 6.4.
   - Removed features:
    - Removed broken "nomedia" / "nomusic" file handling.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Mar 2022 14:19:39 -0800

strawberry (1.0.1-1~mx19+1) mx; urgency=medium

  * Import new upstream 1.0.1 release:
    - Bugfixes:
      - Fixed collection and internet search filter tool button menu arrow
        overlap (#796).
      - Fixed stop after this track button with Qt 6 (#795).
      - Fixed not updating the URL when songs were moved on disk when the
        fingerprinting feature is enabled.
      - Fixed SQL query error for songs with an invalid modification time.
      - Fixed blocky rendering of the currently playing track with high
        resolution screens (#794).
      - Fixed incorrect playlist column filesize for radio streams.
      - Fixed deleting embedded album cover from Ogg songs.2
      - Fixed parsing of Cue tracks with 1-digit minutes (#836).
      - Fixed updating of playlist summary after reloading items when adding
        songs from files outside of the collection (#848).
      - Fixed always saving metadata when saving playlists for Tidal, Qobuz and
        Subsonic songs independent of playlist setting (#851).
      - Fixed setting media shortcuts when using kglobalaccel (#849).
      - Fixed parsing of Genius lyrics when they are sometimes received in a
        different HTML format.
      - Fixed saving MP4 specific tags as UTF-8 (#830).
      - Fixed clearing "manually set" cover when saving album covers embedded


=== debian/control ===
Source: strawberry
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jonas Kvinge <jonas@jkvinge.net>
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               libasound2-dev,
               libboost-dev,
               libcdio-dev,
               libchromaprint-dev,
               libdbus-1-dev,
               libfftw3-dev,
               libgnutls28-dev,
               libgpod-dev (>= 0.7.92),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libmtp-dev (>= 1.0),
               libprotobuf-dev,
               libpulse-dev,
               libqt5x11extras5-dev (>= 5.9),
               libsqlite3-dev  (>= 3.7),
               libtag1-dev,
               libusbmuxd-dev,
               protobuf-compiler,
               qtbase5-dev (>= 5.9),
               qtbase5-dev-tools (>= 5.9),
               qtbase5-private-dev (>= 5.9),
               qttools5-dev (>= 5.8),
               qttools5-dev-tools (>= 5.9)
Standards-Version: 3.9.8

Package: strawberry
Architecture: any
Depends: gstreamer1.0-alsa,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-pulseaudio,
         libqt5sql5-sqlite (>= 5.9),
         libsqlite3-0,
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: http://www.strawbs.org/
Description: Audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4,
    MP3 and ASF audio formats
  - Audio CD playback
  - Native desktop notifications
  - Playlist management and playlists in multiple formats
  - Smart and dynamic playlists
  - Advanced audio output and device configuration for bit-perfect playback
    on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
    Tidal, Qobuz and Spotify
  - Song lyrics from AudD, Genius, Musixmatch, ChartLyrics, lyrics.ovh and
    lololyrics.com
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
    and iPod Nano/Classic
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz
 .
 It is a fork of Clementine. The name is inspired by the band Strawbs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	rm -f dist/macos/Info.plist
	rm -f dist/unix/PKGBUILD
	rm -f dist/unix/strawberry.spec
	rm -f dist/scripts/maketarball.sh
	rm -f dist/windows/strawberry.nsi
	rm -f src/translations/translations.pot
	dh_auto_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_installchangelogs:
	dh_installchangelogs Changelog

#override_dh_dwz:
# disable, since it results in a FTBFS due to too few files.

## strawberry 1.0.6

=== debian/changelog ===
strawberry (1.0.6-1) unstable; urgency=medium

  * New upstream version
  * Drop patches adopted upstream, refresh others
  * Add lintian override

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 18 Jul 2022 11:00:00 +0000

strawberry (1.0.5-2) unstable; urgency=medium

  * Fix msgfmt errors
  * Add lintian override
  * Fix for invalid ctime (Closes: #1014523)
  * Include import from Clementine script (needs sqlite3)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 14 Jul 2022 16:00:00 +0000

strawberry (1.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #913079)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 13 Jun 2022 16:18:35 +0000

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               protobuf-compiler,
               libglib2.0-dev,
               libdbus-1-dev,
               libgnutls28-dev,
               libprotobuf-dev,
               libboost-dev,
               libsqlite3-dev,
               libasound2-dev,
               libpulse-dev,
               libtag1-dev,
               qtbase5-private-dev,
               qtbase5-dev-tools,
               qttools5-dev,
               libqt5x11extras5-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libcdio-dev,
               libgpod-dev,
               libmtp-dev,
               libchromaprint-dev,
               libfftw3-dev,
               libvlc-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5sql5-sqlite,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         sqlite3
Recommends: gstreamer1.0-alsa,
            gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly,
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Song lyrics from AudD, Genius, Musixmatch, ChartLyrics, lyrics.ovh
  -   and lololyrics.com
  - Support for multiple backends
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export DH_QUIET=1

export DEB_BUILD_MAINT_OPTIONS   = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fpie
export DEB_LDFLAGS_MAINT_APPEND  = -z relro -pie -fPIE

%:
	dh $@

# Move tagreader to libexec
# Rename script
execute_after_dh_auto_install:
	mkdir -v -p debian/strawberry/usr/libexec
	mv -v debian/strawberry/usr/bin/strawberry-tagreader \
	      debian/strawberry/usr/libexec/strawberry-tagreader
	cp -v dist/scripts/import-from-clementine.sh \
	      debian/strawberry/usr/bin/strawberry-import-from-clementine

## strawberry 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,14 +32,22 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
+if(MSVC)
+  set(CMAKE_C_STANDARD 99)
+else()
+  set(CMAKE_C_STANDARD 11)
+endif()
+
+set(CMAKE_C_STANDARD_REQUIRED ON)
+
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(MSVC)
-  list(APPEND COMPILE_OPTIONS /std:c++17 /MP)
+  list(APPEND COMPILE_OPTIONS /MP)
 else()
   list(APPEND COMPILE_OPTIONS
-    $<$<COMPILE_LANGUAGE:C>:-std=c99>
+    $<$<COMPILE_LANGUAGE:C>:-std=c11>
     $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>
     -Wall
     -Wextra
@@ -398,8 +406,3 @@
   DEPENDS "Unix or Windows" "NOT APPLE"
 )
 
-optional_component(GIO_UNIX ON "Devices: GIO device backend (Unix support)"
-  DEPENDS "libgio-unix" GIO_UNIX_FOUND
-  DEPENDS "Unix" "UNIX"
-)
-

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -186,6 +186,7 @@
   dialogs/deleteconfirmationdialog.cpp
   dialogs/lastfmimportdialog.cpp
   dialogs/snapdialog.cpp
+  dialogs/saveplaylistsdialog.cpp
 
   widgets/autoexpandingtreeview.cpp
   widgets/busyindicator.cpp
@@ -411,5 +412,3 @@
   dialogs/errordialog.h
   dialogs/console.h
   dialogs/edittagdialog.h
-  dialogs/trackselectiondialog.h
-  dialogs/addstreamdialog.h

=== debian/changelog ===
strawberry (1.0.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Aug 2022 15:18:42 -0400

strawberry (1.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 26 Jul 2022 13:00:00 +0100

strawberry (1.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * No change rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Jul 2022 14:52:34 -0400

## strawberry 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 project(strawberry)
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.7)
 cmake_policy(SET CMP0054 NEW)
+if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
+  cmake_policy(SET CMP0074 NEW)
+endif()
 
 include(CheckCXXCompilerFlag)
 include(CheckCXXSourceRuns)
@@ -94,6 +97,8 @@
   SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ${CCACHE_EXECUTABLE})
 endif()
 
+option(USE_ICU "Use ICU" ON)
+
 find_package(PkgConfig REQUIRED)
 find_package(Boost REQUIRED)
 find_package(Threads)
@@ -101,7 +106,14 @@
 if(Backtrace_FOUND)
   set(HAVE_BACKTRACE ON)
 endif()
-find_package(Iconv)
+if(USE_ICU)
+  find_package(ICU COMPONENTS uc i18n REQUIRED)
+  if(ICU_FOUND)
+    set(HAVE_ICU ON)
+  endif()
+else()
+  find_package(Iconv)
+endif()
 find_package(GnuTLS REQUIRED)
 find_package(Protobuf REQUIRED)
 if(NOT Protobuf_PROTOC_EXECUTABLE)
@@ -397,12 +409,3 @@
   DEPENDS "gstreamer" GSTREAMER_FOUND
 )
 
-optional_component(UDISKS2 ON "Devices: UDisks2 backend"
-  DEPENDS "D-Bus support" DBUS_FOUND
-)
-
-optional_component(GIO ON "Devices: GIO device backend"
-  DEPENDS "libgio" GIO_FOUND
-  DEPENDS "Unix or Windows" "NOT APPLE"
-)
-

=== debian/changelog ===
strawberry (1.0.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 13:57:31 -0400

strawberry (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Add libicu-dev to build depends

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 31 Aug 2022 16:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libasound2-dev,
                libpulse-dev,
                libtag1-dev,
+               libicu-dev,
                qtbase5-private-dev,
                qtbase5-dev-tools,
                qttools5-dev,
@@ -22,7 +23,7 @@
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libcdio-dev,
-               libgpod-dev,
+               libgpod-dev [!hurd-i386],
                libmtp-dev,
                libchromaprint-dev,
                libfftw3-dev,

## strawberry 1.0.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.7)
 
 if(HAVE_TRANSLATIONS)
   include(../cmake/Translations.cmake)

=== debian/changelog ===
strawberry (1.0.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Sep 2022 15:33:58 -0400

strawberry (1.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 21 Sep 2022 16:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libcdio-dev,
-               libgpod-dev [!hurd-i386],
+               libgpod-dev,
                libmtp-dev,
                libchromaprint-dev,
                libfftw3-dev,

## strawberry 1.0.10

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -162,6 +162,8 @@
   lyrics/musixmatchlyricsprovider.cpp
   lyrics/chartlyricsprovider.cpp
 
+  providers/musixmatchprovider.cpp
+
   settings/settingsdialog.cpp
   settings/settingspage.cpp
   settings/behavioursettingspage.cpp
@@ -411,4 +413,3 @@
   dialogs/about.h
   dialogs/errordialog.h
   dialogs/console.h
-  dialogs/edittagdialog.h

=== debian/changelog ===
strawberry (1.0.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Oct 2022 15:37:19 -0700

strawberry (1.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 26 Oct 2022 11:11:11 +0100

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libboost-dev,
               libcdio-dev,
               libchromaprint-dev,
               libdbus-1-dev,
               libfftw3-dev,
               libglib2.0-dev,
               libgnutls28-dev,
               libgpod-dev [!hurd-i386],
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libicu-dev,
               libmtp-dev,
               libprotobuf-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libsqlite3-dev,
               libtag1-dev,
               libvlc-dev,
               protobuf-compiler,
               qtbase5-dev-tools,
               qtbase5-private-dev,
               qttools5-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libqt5sql5-sqlite,
         sqlite3,
         ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-alsa
Recommends: gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Song lyrics from AudD, Genius, Musixmatch, ChartLyrics, lyrics.ovh
  -   and lololyrics.com
  - Support for multiple backends
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,7 @@
 	      debian/strawberry/usr/libexec/strawberry-tagreader
 	cp -v dist/scripts/import-from-clementine.sh \
 	      debian/strawberry/usr/bin/strawberry-import-from-clementine
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
